Bug 54716 - Use arrows to shorten very long [Q,K]PopupMenus
Summary: Use arrows to shorten very long [Q,K]PopupMenus
Status: RESOLVED FIXED
Alias: None
Product: Breeze
Classification: Unclassified
Component: QStyle (show other bugs)
Version: unspecified
Platform: Mandrake RPMs Linux
: NOR wishlist
Target Milestone: ---
Assignee: Unassigned bugs mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-16 11:37 UTC by Shift
Modified: 2022-02-16 18:28 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.25


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shift 2003-02-16 11:37:05 UTC
Version:            (using KDE KDE 3.1)
Installed from:    Mandrake RPMs

Is it possible for KDE to have a better way to manage menus longer than screen or is it a Qt problem ?
If a menu is too much longer it is separated in 2 or more colums, and sometimes it is very boring. I already find menu with 6 colums (file system folder) and they take all the screen :(

Can we have the possibility for the menus to stop on the bottom of the screen but to let an arrow so that when the mouse is hover it scrool the menu ? Or can we found the old way of KDE 1 to do this with a "more..." item on the bottom that open a new completed menu ?
I prefer the first way to do personnaly but a configurable way to do this can be the better way :)

Thanks
Comment 1 Shift 2003-06-07 22:29:59 UTC
If you implement the menu with arrow on the top and bottom, don't forget 
to allow the user to use the scroll of the mouse to go up and down in the 
menu quickly. 
 
Here is another example of an other way to do with a fish-eye effect :)  
http://www.cs.umd.edu/hcil/fisheyemenu/fisheyemenu-demo.shtml 
Comment 2 Stefan Gehn 2004-01-24 10:55:57 UTC
I'm also for an arrowed-menu, can't this be added to KPopupMenu (and IIRC QT already supports it somehow)?
Comment 3 David Vogt 2005-01-04 22:41:17 UTC
*** This bug has been confirmed by popular vote. ***
Comment 4 David Vogt 2005-01-04 22:58:07 UTC
I just found this one by looking for exactly that. Scrolling in menus with the mouse wheel is what I wanted for a looong time. I kind of like that fisheye variant too, but it seems too much a plaything. Why not just make the mousewheel+arrows the default and add an option somewhere to change it to "fisheye style"?

Oh, and if we're already talking about "details": I usually don't like menus using the full height of the screen as well, it looks somehow "unaesthetic". Limiting it to about 2/3 of the screen height would IMHO be a good measure.

Yeah, I know this is a wish, and I would do it myself if I knew Qt and KDE better...
Comment 5 Maksim Orlovich 2005-01-04 23:04:18 UTC
It is supported by Qt already, but it kind of sucks (the scrolling is too slow to be useful). If you want to try it, and are using a KDE Style, put the following into ~/.qt/kstylerc:
[Settings]
ScrollablePopupMenus=true
Comment 6 Wolfgang Binder 2006-10-24 23:14:24 UTC
I wished the menues were different too. I think, that firefox is a good example how one could make menues with many items by a scrollable menue-scheme with arrows. I know - already written - but problably someone can change this to default.
Comment 7 Bug Janitor Service 2022-02-16 18:14:33 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/breeze/-/merge_requests/184
Comment 8 Nate Graham 2022-02-16 18:28:24 UTC
Git commit 9cd1244b6e0805a23a87f39a6e04b1a530f75fc3 by Nate Graham, on behalf of Janet Blackquill.
Committed on 16/02/2022 at 18:28.
Pushed by ngraham into branch 'master'.

kstyle: scroll menus instead of overflowing into columns

This prevents situations where menus take up excessive
amounts of the screen's area by overflowing into columns
instead of scrolling. Also matches our QtQuick behaviour.
FIXED-IN: 5.25

M  +1    -0    kstyle/breezestyle.cpp

https://invent.kde.org/plasma/breeze/commit/9cd1244b6e0805a23a87f39a6e04b1a530f75fc3